Conteníu

# Función Atn

Función trigonométrica que devuelve l'arcutanxente d'una espresión numbérica. El valor de torna ta nel rangu de -Pi/2 a +Pi/2.

The arctangent is the inverse of the tangent function. The Atn Function returns the angle "Alpha", expressed in radians, using the tangent of this angle. The function can also return the angle "Alpha" by comparing the ratio of the length of the side that is opposite of the angle to the length of the side that is adjacent to the angle in a right-angled triangle.

Atn(side opposite the angle/side adjacent to angle)= Alpha

### Syntax:

            Atn (Number As Double) As Double

### Return type:

Double

### Parameters:

Number: Any numerical expression that represents the ratio of two sides of a right triangle. The Atn function returns the corresponding angle in radians (arctangent).

Pa convertir radianes a graos, multiplique los radianes por 180/pi.

grau=(radián*180)/pi

radián=(grado*pi)/180

Pi is here the fixed circle constant with the rounded value 3.14159. Pi is a Basic mathematical constant.

### Error codes:

5 Llamada a procedimientu non válida

### Example:

            ' L'exemplu siguiente calcula pa un triángulu rectángulu
            ' l'ángulu Alfa dende la tanxente del ángulu Alfa:
            Sub ExampleAtn
            ' arredondiáu Pi = 3,14159 ye una constante predefinida
            Dim d1 As Double
            Dim d2 As Double
                d1 = InputBox("Introduza'l llargor del llau axacente al ángulu: ","Axacente")
                d2 = InputBox("Introduza'l llargor del llau opuestu al ángulu: ","Opuestu")
                Print "L'ángulu Alfa ye"; (atn (d2/d1) * 180 / Pi); " graos"
            End Sub

Temes rellacionaos

Cos Function

Sin Function

Función Tan